<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 24/02/20
 * Time: 7.50
 */

namespace FiloBlu\Rma\Api;

interface EasyReturnRepositoryInterface
{

    /**
     * @param \FiloBlu\Rma\Model\EasyReturn $easyReturn
     */
    public function save(\FiloBlu\Rma\Model\EasyReturn $easyReturn);


    /**
     * @param int $rmaEntityId
     * @return \FiloBlu\Rma\Model\EasyReturn
     */
    public function getByRmaId(int $rmaEntityId);

    /**
     * @param \FiloBlu\Rma\Model\EasyReturn $easyReturn
     */
    public function delete(\FiloBlu\Rma\Model\EasyReturn $easyReturn);

    /**
     * @param int $easyReturnEntityId
     */
    public function deleteById(int $easyReturnEntityId);

    /**
     * Get product list
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \FiloBlu\Rma\Model\EasyReturn
     */
    public function getList(\Magento\Framework\Api\SearchCriteriaInterface $searchCriteria);


}